Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

RetroPie 4.5.1 update


  • administrators

    https://retropie.org.uk/2019/07/retropie-4-5-1-update/

    As detailed in the last post – https://retropie.org.uk/2019/07/composite-out-broken-on-retropie-4-5/ – there were some issues in the last image due to the updated Kernel.

    A newer Kernel has been released for Raspbian Stretch that resolves the composite output issue, but we also had problems reported with overscan settings and decided to implement a workaround. As the previous 4.14 Kernel was well tested, we decided to switch back to it for now, and also created a new image (this was actually uploaded on the 17th July, but due to some testing and time constraints is only being announced now).

    If you have a 4.5 version of RetroPie for the Raspberry Pi you can choose the update option in RetroPie-Setup and then choose to “Update System Packages” when prompted. This will downgrade the Kernel to the one in this 4.5.1 image. The Kernel will only be downgraded if choosing to update System Packages from the RetroPie-Setup interface.

    You can download a 4.5.1 image from https://retropie.org.uk/download/. For first installs please follow the Installation Instructions.

    We are still working on Raspberry Pi 4 support. You may have seen some unofficial images from other people with some emulators working – but please bear with us. We also have some emulators working, but don’t want to release anything until we are able to realistically support it.

    Changes since 4.5

    • Downgraded to 4.14 kernel to resolve some 4.19 kernel/firmware issues
    • (other rpi4/fkms changes which will be announced in a future post)

Log in to reply
 

Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.